GET
/api/v1/apis/tokenList/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/apis/tokenList/?apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/apis/tokenList/", params={"apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/apis/tokenList/");url.search = new URLSearchParams({ apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Filters the listed API tokens by their associated location.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the response
integer
data
Array<object>
object
token_name
Name of the API token
string
access_name
Array<string>
api_key
API token identifier
string format: uuid
auth_token
JWT authentication token associated with the API token
string
created_at
Human-readable relative timestamp indicating when the token was created
string
errors
object
message
Status message indicating the result of the request
string
Example
{ "code": 200, "data": [ { "token_name": "postman", "access_name": [ "READ", "WRITE" ], "api_key": "uuid-string", "auth_token": "example-jwt-string", "created_at": "21 Days ago" } ], "message": "Success"}